Skip to main content
POST
/
v1
/
timeline
Create a note
curl --request POST \
  --url https://api.prod.getdex.com/v1/timeline/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "note": {
    "event_time": "2023-11-07T05:31:56Z",
    "note": "<string>",
    "custom_emoji": "<string>",
    "meeting_type": "call",
    "meeting_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "meeting_types": "<unknown>",
    "attachments": [
      {
        "url": "<string>",
        "file_name": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "file_size": 123
      }
    ],
    "timeline_items_contacts": [
      {
        "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "contacts": "<unknown>"
      }
    ],
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "google_calendar_event_id_v3": "<string>",
    "oauth_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "reminder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
'
{
  "error": true,
  "data": {
    "note": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "content": "<string>",
      "type": "<string>",
      "is_pinned": true,
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  }
}

Use cases

  • Log a meeting note or call summary after an interaction
  • Record an email exchange or important conversation
  • Add a personal note or observation about a contact
Notes support rich text content. Use the note_type field to categorize the interaction (e.g., β€œmeeting”, β€œcall”, β€œemail”).

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Body

application/json
note
object
required

Response

Successful response

error
boolean
required
data
object
required